Symantec Endpoint Protection Management Plug-in 2.0 and 2.5 for Kaseya

Article:TECH197177  |  Created: 2012-09-24  |  Updated: 2014-07-15  |  Article URL http://www.symantec.com/docs/TECH197177
Article Type
Technical Solution


Issue



You want to download and install version 2.5 or version 2.0 of the Symantec Endpoint Protection Management Plug-in for Kaseya®. These versions of the plug-in support Kaseya K2 Server 6.2 or later. See the details in this support article about which version of the plug-in is supported on which version of Kaseya K2 Server.

The latest release, version 2.5.1.13, includes the following features and bug fixes:

  • Support for Kaseya K2 Server 7.0
  • Backward compatibility to Kaseya K2 Server 6.3
  • Removal of a JSON .dll to fix a customer-reported issue

It also includes the following known issue, which will be fixed in a future release:

  • You cannot deploy Symantec Endpoint Protection clients from the plug-in because of changes that Kaseya has made to the agent procedure process.

Version 2.5.1.11 includes the following bug fixes:

  • Support for Kaseya K2 Server 6.5
  • UI on version 6.5 Audit page and Settings page displays correctly
  • LiveUpdate UI displays correctly when a connection is established to the management server for the first time
  • Registration button is removed and new text provided on the Introduction page

Symantec Endpoint Protection Management Plug-in for Kaseya integrates Symantec™ Endpoint Protection and the Kaseya RMM platform. The plug-in provides remote monitoring and management of Endpoint Protection clients in the Kaseya environment. This functionality is available in versions 2.0 and later of the plug-in.

New features available in version 2.5 include:

  • Intuitive wizards to guide you through configuring the plug-in and scheduling Endpoint Protection client deployments
  • Improved support for complex networks
  • The ability to customize the interval for alerts from the management server
  • Defect fixes

Key features include:

  • The ability to send Endpoint Protection commands to clients (including Scan, Update, enable/disable protection technologies)
  • The ability to monitor licenses and server content with web services
  • The ability to remotely run LiveUpdate on Symantec Endpoint Protection Manager
  • Improved scalability of the plug-in for large networks, especially while detecting endpoints and during agent check-in 

Which version should I use?

  • Version 2.5 provides support for Kaseya K2 Server 6.3 and 6.5
  • Version 2.0 provides support for Kaseya K2 Server 6.2 with Kaseya hotfix 2550 or higher

Version 2.5 preserves your settings when you upgrade from a previous version. If you previously installed version 2.0 or later, you do not need to uninstall and reinstall.

If you already run the Endpoint Protection plug-in, and if you upgrade to a later version of the Kaseya server from version 6.3, you must first run a batch file to make sure that the plug-in installation succeeds. This file fixes a problem with version checks on the Kaseya server and uninstalls any previous versions of the plug-in.

Here's what to do:

  1. Download the attached uninstall batch file.
  2. Extract the contents of the file to the following location:
  3. <Kaseya_installation_folder>\KServer

    There should be two files, Uninstall-63-Plugin.bat and Dummy.dll.

  4. Run Uninstall-63-Plugin.bat.
  5. Delete Uninstall-63-Plugin.bat and Dummy.dll.
  6. Check to make sure that the Endpoint Protection plug-in is uninstalled. You should now be able to install the new version of the plug-in.

Environment



 Version 2.5 of the plug-in requires the following:

  • Symantec Endpoint Protection or Symantec Endpoint Protection Small Business Edition:
    • Version 12.1.2: recommended. Provides management and monitoring capabilities.
    • Version 12.1 RU1 MP1: minimum. Provides monitoring only.
  • On-premise Kaseya K2 server 6.3.

 Version 2.0 of the plug-in requires the following:

  • Symantec Endpoint Protection or Symantec Endpoint Protection Small Business Edition:
    • Version 12.1.2: recommended. Provides management and monitoring capabilities.
    • Version 12.1 RU1 MP1: minimum. Provides monitoring only.
  • On-premise Kaseya  K2 Server 6.2 with Kaseya hotfix level of 2550 or higher
    • To check the hotfix level, on your Kaseya server, go to System > Server Management > Configure, and click Hotfix History

NOTE: Beta versions of the Kaseya server are not supported.  For more information, see the following knowledge base article:

Symantec Endpoint Protection Management Plug-in for Kaseya is not supported on beta versions of the Kaseya server

Also, to ensure full functionality, your Symantec Endpoint Protection Manager instance must be accessible to your Kaseya server. By default, Symantec Endpoint Protection Manager looks for SSL connections for web services over port 8446. Make sure that any firewall between your Kaseya VSA and your Symantec Endpoint Protection Manager allows these connections.


Solution



To install the plug-in

  1. Download and run the installation file that is attached to this knowledgebase article.
  2. Follow the on-screen instructions to complete the installation.

For more information about the plug-in and Kaseya, see the following knowledge base article:

Symantec Endpoint Protection Management Plug-in for Kaseya


Attachments

Symantec Endpoint Protection Management Plug-in 2.5.1.13 for Kaseya version 7.0
Symantec_Endpoint_Protection_Management_Plug-in_2.5.1.13_for_Kaseya.exe (1.4 MBytes)
Symantec Endpoint Protection Management Plug-in 2.0 for Kaseya version 6.2
Symantec_Endpoint_Protection_Management_Plug-in_2.0_Kaseya.exe (1.3 MBytes)




Batch file to uninstall Endpoint Protection plug-in running on Kaseya version 6.3
Uninstall-63-Plugin.zip (2 kBytes)



Article URL http://www.symantec.com/docs/TECH197177


Terms of use for this information are found in Legal Notices